Click or drag to resize

TwainManager Class

The TwainManager class is used to control which version of TWAIN is used by DotTwain.

TWAIN 2.x (twaindsm.dll) will be used by default if it exists on the system, otherwise TWAIN version 1.x (twain_32.dll) is used. Some drivers will not work with TWAIN 2.x, such as WIA drivers. To use these drivers you can force DotTwain to use version 1.x by setting the ForceTwain1xBehavior property to true before creating an instance of Acquisition or TwainController.

Inheritance Hierarchy
SystemObject
  Atalasoft.TwainTwainManager

Namespace:  Atalasoft.Twain
Assembly:  Atalasoft.DotTwain (in Atalasoft.DotTwain.dll) Version: 11.0.0.0.0.297 (.NET 4.5.2, x86)
Syntax
public static class TwainManager

The TwainManager type exposes the following members.

Properties
  NameDescription
Public propertyStatic memberForceTwain1xBehavior
Gets or sets a value used to indicate whether DotTwain should use TWAIN 1.x, even if TWAIN 2.x is on the system.
Public propertyStatic memberTwainExists
Gets a value indicating whether TWAIN has been found on the system.
Public propertyStatic memberTwainLibraryLocation
Returns the full path to the TWAIN library being used by DotTwain.
Public propertyStatic memberTwainLibraryVersion
Gets the latest version of TWAIN on the system.
Top
Remarks
In order to use TWAIN 2.0, you must download and distribute the TWAIN 2.0 Data Source Manager with your application. Visit http://www.twain.org to download the DSM and install it with your application in the client's system folder, making sure not to overwrite a more recent version.
See Also